## yorick-av 0.0.1

=== Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=
Y_HOME_PKG=

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yav
PKG_I=libav.i

OBJS=yav.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=-lavformat -lswscale -lavutil -lavcodec
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS=
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically $(Y_EXE_PKGS) should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=libavtest.* libavcheck.* test.mpg

# autoload file for this package, if any
PKG_I_START=zlibav-auto.i
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=avtest.i libav-mpeg.i

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# see comments in Y_HOME/Makepkg for a list of possibilities

# if this package built with mpy: 1. be sure mpy appears in EXTRA_PKGS,
# 2. set TGT=exe, and 3. uncomment following two lines
# Y_MAIN_O=$(Y_LIBEXE)/mpymain.o
# include $(Y_MAKEDIR)/Makempy

# configure script for this package may produce make macros:
# include output-makefile-from-package-configure

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

install::
	$(YNSTALL) yav.info $(DEST_Y_SITE)/packages/installed/

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

# -------------------------------------------------------- end of Makefile

=== debian/changelog ===
yorick-av (0.0.1-2ubuntu1) quantal; urgency=low

  * debian/control:
    - Build-Depend on libavcodec-extra-53 to pull in h264 codec, fixing
      FTBFS due to the h264 test.  Ubuntu moved the codec from libavcodec
      to -extras.

 -- Michael Terry <mterry@ubuntu.com>  Thu, 26 Jul 2012 11:19:24 -0400

yorick-av (0.0.1-2) unstable; urgency=low

  * Move to maintenance to the debian-science team. Update debian/control
    to comply with their policy:
    + change Maintainer, put self in Uploaders;
    + DM-Upload-Allowed: yes;
    + fill-in Vcs-* fields;
    + Priority is extra.
  * Fix machine-readable copyright format.
  * Add lintian override about no fortified functions.
  * Fortify (don't rely on yorick to pass the right build flags)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 26 Jun 2012 14:04:00 +0200

yorick-av (0.0.1-1) unstable; urgency=low

  * Initial Release. Closes: #666498

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 29 Mar 2012 15:47:42 +0200

=== debian/control ===
Source: yorick-av
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 9), yorick-dev (>= 2),
	       libavformat-dev (>=4:0.8), libavutil-dev (>=4:0.8),
	       libavcodec-dev (>=4:0.8), libswscale-dev (>=4:0.8),
	       libavcodec-extra-53
Standards-Version: 3.9.3.0
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-av.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-av.git
Homepage: http://github.com/paumard/yorick-av

Package: yorick-av
Architecture: any
Depends: yorick (>= 2), ${shlibs:Depends}, ${misc:Depends}
Description: write movies from Yorick in various formats
 This is a compiled add-on for yorick (an interpreted computer
 language specialized for numerical and scientific problems).
 Yorick-mpeg adds support for writing movies in various formats (AVI,
 OGG, MP4...) using LibAV. It can be used as a replacement for
 yorick-mpeg which only produces MPEG1 movies.

=== debian/watch ===
version=3
http://thibaut.paumard.free.fr/src/yorick-av_(.*)\.tar.xz

## yorick-av 0.0.2

=== debian/changelog ===
yorick-av (0.0.2-1ubuntu2) trusty; urgency=medium

  * Drop -extra- build-dependencies, as libav is no longer split between
    universe & main. That means there are no changes to yorick-av package
    anymore.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 30 Dec 2013 03:39:18 +0000

yorick-av (0.0.2-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-Depend on libavcodec-extra-53 and libavformat-extra-53 to pull
      in codecs that Ubuntu moved to -extra packages.  These codecs are
      used in build-time tests.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 29 Oct 2013 08:46:53 -0700

yorick-av (0.0.2-1) unstable; urgency=low

  * New upstream release
    + fixes bug: "FTBFS on armhf: ERROR (*main*)
      Segmentation violation interrupt (SIGSEGV)", thanks to Sebastian
      Ramacher (Closes: #722610).
    + includes patch libx264-segfaults
  * Update watch file to use github branch tarballs.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 16 Oct 2013 16:40:49 +0200

yorick-av (0.0.1-3) unstable; urgency=low

  * Bug fix: "FTBFS: ERROR (*main*) Floating point interrupt (SIGFPE)",
    thanks to Sebastian Ramacher (Closes: #721037). Simply don't use
    libx264 at build time, see patch libx264-segfaults.
  * Review against policy 3.9.4.
  * Fix VCS-* fields.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 03 Sep 2013 14:39:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,13 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
+Uploaders: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: debhelper (>= 9), yorick-dev (>= 2),
 	       libavformat-dev (>=4:0.8), libavutil-dev (>=4:0.8),
 	       libavcodec-dev (>=4:0.8), libswscale-dev (>=4:0.8),
-	       libavcodec-extra-53
-Standards-Version: 3.9.3.0
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-av.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-av.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/yorick-av.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-av.git
 Homepage: http://github.com/paumard/yorick-av
 
 Package: yorick-av

=== debian/rules ===
#!/usr/bin/make -f

# Don't run tests which require an X11 display. The value of this
# environment variable has no importance.
export YAV_NODISPLAY := nodisplay

%:
	dh $@

override_dh_auto_build:
	$(MAKE) COPT_DEFAULT="" \
		Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_install-arch:
	dh_installyorick

override_dh_auto_clean:
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick distclean

## yorick-av 0.0.3

=== debian/changelog ===
yorick-av (0.0.3-4) unstable; urgency=low

  * Bug fix: "FTBFS with FFmpeg 2.9", thanks to Andreas Cadhalpun (Closes:
    #803876).

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 08 Jan 2016 02:15:25 +0000

yorick-av (0.0.3-3) unstable; urgency=low

  * Disable tests on kfreebsd-i386. Alleviates #747976.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 13 May 2014 21:50:19 +0200

yorick-av (0.0.3-2) unstable; urgency=low

  * Correct minor mistake in package description.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 19 Feb 2014 16:36:46 +0100

yorick-av (0.0.3-1) unstable; urgency=low

  * New upstream release. Fixes bug: "FTBFS with libav10", thanks to
    Moritz Muehlenhoff (Closes: #739377).
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 19 Feb 2014 12:29:26 +0100

=== debian/control ===
Source: yorick-av
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper (>= 9), yorick-dev (>= 2),
	       libavformat-dev (>=6:9), libavutil-dev (>=6:9),
	       libavcodec-dev (>=6:9), libswscale-dev (>=6:9)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/debian-science/packages/yorick-av.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-av.git
Homepage: http://github.com/paumard/yorick-av

Package: yorick-av
Architecture: any
Depends: yorick (>= 2), ${shlibs:Depends}, ${misc:Depends}
Description: write movies from Yorick in various formats
 This is a compiled add-on for yorick (an interpreted computer
 language specialized for numerical and scientific problems).
 Yorick-av adds support for writing movies in various formats (AVI,
 OGG, MP4...) using LibAV. It can be used as a replacement for
 yorick-mpeg which only produces MPEG1 movies.

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,12 @@
 
 override_dh_auto_clean:
 	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick distclean
+
+override_dh_auto_test:
+	dh_testdir
+ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
+# Untill 747976 is closed                                                       
+ifeq (,$(filter $(DEB_HOST_ARCH), kfreebsd-i386))
+	yorick -batch check.i
+endif
+endif

## yorick-av 0.0.4

=== debian/changelog ===
yorick-av (0.0.4-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 30 Nov 2016 11:57:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper (>= 9), yorick-dev (>= 2),
 	       libavformat-dev (>=6:9), libavutil-dev (>=6:9),
 	       libavcodec-dev (>=6:9), libswscale-dev (>=6:9)
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/yorick-av.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-av.git
-Homepage: http://github.com/paumard/yorick-av
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/yorick-av.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-av.git
+Homepage: https://github.com/paumard/yorick-av
 
 Package: yorick-av
 Architecture: any

## yorick-av 0.0.5

=== Makefile ===
--- 
+++ 
@@ -63,6 +63,9 @@
 
 # configure script for this package may produce make macros:
 # include output-makefile-from-package-configure
+# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
+Y_HOME=$(Y_EXE_HOME)
+Y_SITE=$(Y_EXE_SITE)
 
 # reduce chance of yorick-1.5 corrupting this Makefile
 MAKE_TEMPLATE = protect-against-1.5

=== debian/changelog ===
yorick-av (0.0.5-1) unstable; urgency=low

  * New upstream release.
  * Bug fix: "FTBFS with FFmpeg 4.0", thanks to jcowgill@debian.org</a>;
    (Closes: #888359).
  * Check against Policy 4.1.4 (priority optional, https in copyright
    format).
  * Add autopkgtest suite.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 30 May 2018 03:11:11 +0200

yorick-av (0.0.4-2) unstable; urgency=low

  * Bug fix: "AVPacket timestamps need to be rescaled for most codecs"
    (Closes: #890880).
  * Bug fix: "Need to set VBV buffer size for MPEG1/2 files", (Closes:
    #892176).

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 06 Mar 2018 14:01:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: yorick-av
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: debhelper (>= 9), yorick-dev (>= 2),
 	       libavformat-dev (>=6:9), libavutil-dev (>=6:9),
 	       libavcodec-dev (>=6:9), libswscale-dev (>=6:9)
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/yorick-av.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-av.git
-Homepage: https://github.com/paumard/yorick-av
+Standards-Version: 4.1.4
+Vcs-Git:       https://salsa.debian.org/science-team/yorick-av.git
+Vcs-Browser:   https://salsa.debian.org/science-team/yorick-av
+Homepage:      https://github.com/paumard/yorick-av
 
 Package: yorick-av
 Architecture: any

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/yorick-av-$1.tar.gz/ \
  https://github.com/paumard/yorick-av/tags .*/v?(\d[\d\.]+)\.tar\.gz

## yorick-av 0.0.6

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 EXTRA_PKGS=$(Y_EXE_PKGS)
 
 # list of additional files for clean
-PKG_CLEAN=libavtest.* libavcheck.* test.mpg
+PKG_CLEAN=libavtest* libavcheck* test.mpg
 
 # autoload file for this package, if any
 PKG_I_START=zlibav-auto.i

=== debian/changelog ===
yorick-av (0.0.6-1) unstable; urgency=low

  * New upstream release, fixes: "FTBFS with ffmpeg 5.0", thanks to
    Sebastian Ramacher (Closes: #1004777).
  * Make lintian-clean, notably:
     + Bump debhelper compat level.
     + Bump Policy standard.

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 17 Feb 2022 16:43:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
-Build-Depends: debhelper (>= 9), yorick-dev (>= 2),
+Build-Depends: debhelper-compat (= 13), yorick-dev (>= 2),
 	       libavformat-dev (>=6:9), libavutil-dev (>=6:9),
 	       libavcodec-dev (>=6:9), libswscale-dev (>=6:9)
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0.1
 Vcs-Git:       https://salsa.debian.org/science-team/yorick-av.git
 Vcs-Browser:   https://salsa.debian.org/science-team/yorick-av
 Homepage:      https://github.com/paumard/yorick-av

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # Don't run tests which require an X11 display. The value of this
 # environment variable has no importance.
 export YAV_NODISPLAY := nodisplay
+
+DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@
@@ -21,7 +23,7 @@
 override_dh_auto_test:
 	dh_testdir
 ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
-# Untill 747976 is closed                                                       
+# Untill 747976 is closed                               
 ifeq (,$(filter $(DEB_HOST_ARCH), kfreebsd-i386))
 	yorick -batch check.i
 endif

=== debian/tests/control ===
Tests: check
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/yorick-av-$1.tar.gz/ \
  https://github.com/paumard/yorick-av/tags .*/v?(\d[\d\.]+)\.tar\.gz
